### Class

# Adw SwipeTracker

since: 1

#### Description [src]

    final class Adw.SwipeTracker : GObject.Object
      implements Gtk.Orientable {
      /* No available fields */
    }

A swipe tracker used in `AdwCarousel`, `AdwNavigationView` and `AdwOverlaySplitView`.

The `AdwSwipeTracker` object can be used for implementing widgets with swipe gestures. It supports touch-based swipes, pointer dragging, and touchpad scrolling.

The widgets will probably want to expose the `AdwSwipeTracker:enabled` property. If they expect to use horizontal orientation, `AdwSwipeTracker:reversed` can be used for supporting RTL text direction.

Available since: 1

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GtkOrientable

#### Constructors

###### adw_swipe_tracker_new

Creates a new `AdwSwipeTracker` for `widget`.

since: 1

#### Instance methods

###### adw_swipe_tracker_get_allow_long_swipes

Gets whether to allow swiping for more than one snap point at a time.

since: 1

###### adw_swipe_tracker_get_allow_mouse_drag

Gets whether `self` can be dragged with mouse pointer.

since: 1

###### adw_swipe_tracker_get_enabled

Gets whether `self` is enabled.

since: 1

###### adw_swipe_tracker_get_lower_overshoot

Gets whether to allow swiping past the first available snap point.

since: 1.4

###### adw_swipe_tracker_get_reversed

Gets whether `self` is reversing the swipe direction.

since: 1

###### adw_swipe_tracker_get_swipeable

Get the widget `self` is attached to.

since: 1

###### adw_swipe_tracker_get_upper_overshoot

Gets whether to allow swiping past the last available snap point.

since: 1.4

###### adw_swipe_tracker_set_allow_long_swipes

Sets whether to allow swiping for more than one snap point at a time.

since: 1

###### adw_swipe_tracker_set_allow_mouse_drag

Sets whether `self` can be dragged with mouse pointer.

since: 1

###### adw_swipe_tracker_set_enabled

Sets whether `self` is enabled.

since: 1

###### adw_swipe_tracker_set_lower_overshoot

Sets whether to allow swiping past the first available snap point.

since: 1.4

###### adw_swipe_tracker_set_reversed

Sets whether to reverse the swipe direction.

since: 1

###### adw_swipe_tracker_set_upper_overshoot

Sets whether to allow swiping past the last available snap point.

since: 1.4

###### adw_swipe_tracker_shift_position

Moves the current progress value by `delta`.

since: 1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GtkOrientable (2)

###### gtk_orientable_get_orientation

Retrieves the orientation of the `orientable`.

unstable since: 4.0

###### gtk_orientable_set_orientation

Sets the orientation of the `orientable`.

unstable since: 4.0

#### Properties

###### Adw.SwipeTracker:allow-long-swipes

Whether to allow swiping for more than one snap point at a time.

since: 1

###### Adw.SwipeTracker:allow-mouse-drag

Whether to allow dragging with mouse pointer.

since: 1

###### Adw.SwipeTracker:enabled

Whether the swipe tracker is enabled.

since: 1

###### Adw.SwipeTracker:lower-overshoot

Whether to allow swiping past the first available snap point.

since: 1.4

###### Adw.SwipeTracker:reversed

Whether to reverse the swipe direction.

since: 1

###### Adw.SwipeTracker:swipeable

The widget the swipe tracker is attached to.

since: 1

###### Adw.SwipeTracker:upper-overshoot

Whether to allow swiping past the last available snap point.

since: 1.4

##### Properties inherited from GtkOrientable (1)

###### Gtk.Orientable:orientation

The orientation of the orientable.

unstable since: 4.0

#### Signals

###### Adw.SwipeTracker::begin-swipe

This signal is emitted right before a swipe will be started, after the drag threshold has been passed.

since: 1

###### Adw.SwipeTracker::end-swipe

This signal is emitted as soon as the gesture has stopped.

since: 1

###### Adw.SwipeTracker::prepare

This signal is emitted when a possible swipe is detected.

since: 1

###### Adw.SwipeTracker::update-swipe

This signal is emitted every time the progress value changes.

since: 1

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct AdwSwipeTrackerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.